Ice Reference Documentation
<<< Previous | Slice Documentation | Next >>>

# `IceGrid::FileParser`

## Overview

    interface FileParser

The icegridadmin command line tool provides a `FileParser` object to transform XML files into `ApplicationDescriptor` objects (structs).

### Operation Index

`parse`

  Parse a file.

## `parse`

    ApplicationDescriptor parse(string xmlFile,
        Admin* adminProxy)
        throws
    	ParseException;

Parse a file.

### Parameters

`xmlFile`

  Full pathname to the file.

`adminProxy`

  An Admin proxy, used only to retrieve default templates when needed. May be null.

### Return Value

s The application descriptor.

### Exceptions

`ParseException`

  Raised if an error occurred during parsing.

<<< Previous | Home | Next >>>
`IceGrid::DistributionDescriptor` | Up | `IceGrid::IceBoxDescriptor`